Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZWaitUntilDate Class Reference

The class eZWaitUntilDate does. More...

## Public Member Functions
| __construct ( $eventID, $eventVersion)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| addEntry ( $contentClassAttributeID, $contentClassID=false)
| removeEntry ( $workflowEventID, $id, $version)
| classAttributeIDList ()
| setVersion ( $version)

## Static Public Member Functions
static | removeWaitUntilDateEntries ( $workflowEventID, $workflowEventVersion)

## Public Attributes
| $WorkflowEventID
| $WorkflowEventVersion
| $Entries

## Detailed Description

The class eZWaitUntilDate does.

Definition at line 16 of file ezwaituntildate.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZWaitUntilDate::__construct | ( |  | $eventID,
|  |  | $eventVersion
| ) |  |

Parameters

  int | $eventID |
  int | $eventVersion |

Definition at line 22 of file ezwaituntildate.php.

References eZWaitUntilDateValue\fetchAllElements().

## Member Function Documentation

## ◆ addEntry()

eZWaitUntilDate::addEntry | ( |  | $contentClassAttributeID,
|  |  | $contentClassID = `false`
| ) |  |

Adds an enumeration

Definition at line 76 of file ezwaituntildate.php.

References eZWaitUntilDateValue\create(), eZContentClassAttribute\fetch(), and eZWaitUntilDateValue\fetchAllElements().

## ◆ attribute()

eZWaitUntilDate::attribute | ( |  | $attr | ) |

Definition at line 42 of file ezwaituntildate.php.

References $Entries, $WorkflowEventID, $WorkflowEventVersion, classAttributeIDList(), and eZDebug\writeError().

## ◆ attributes()

eZWaitUntilDate::attributes | ( |  | ) |

Definition at line 29 of file ezwaituntildate.php.

Referenced by hasAttribute().

## ◆ classAttributeIDList()

eZWaitUntilDate::classAttributeIDList | ( |  | ) |

Definition at line 105 of file ezwaituntildate.php.

Referenced by attribute().

## ◆ hasAttribute()

eZWaitUntilDate::hasAttribute | ( |  | $attr | ) |

Definition at line 37 of file ezwaituntildate.php.

References attributes().

## ◆ removeEntry()

eZWaitUntilDate::removeEntry | ( |  | $workflowEventID,
|  |  | $id,
|  |  | $version
| ) |  |

Definition at line 99 of file ezwaituntildate.php.

References eZWaitUntilDateValue\fetchAllElements(), and eZWaitUntilDateValue\removeByID().

## ◆ removeWaitUntilDateEntries()

static eZWaitUntilDate::removeWaitUntilDateEntries | ( |  | $workflowEventID,
|  |  | $workflowEventVersion
| ) |  |
| static

Definition at line 69 of file ezwaituntildate.php.

References eZWaitUntilDateValue\removeAllElements().

Referenced by eZWaitUntilDateType\storeDefinedEventData().

## ◆ setVersion()

eZWaitUntilDate::setVersion | ( |  | $version | ) |

Definition at line 115 of file ezwaituntildate.php.

References eZWaitUntilDateValue\createCopy(), eZWaitUntilDateValue\fetchAllElements(), and eZWaitUntilDateValue\removeAllElements().

## Member Data Documentation

## ◆ $Entries

eZWaitUntilDate::$Entries

Definition at line 150 of file ezwaituntildate.php.

Referenced by attribute().

## ◆ $WorkflowEventID

eZWaitUntilDate::$WorkflowEventID

Definition at line 148 of file ezwaituntildate.php.

Referenced by attribute().

## ◆ $WorkflowEventVersion

eZWaitUntilDate::$WorkflowEventVersion

Definition at line 149 of file ezwaituntildate.php.

Referenced by attribute().

The documentation for this class was generated from the following file:

- ezwaituntildate.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.